## hubzero-rappture-deb7 1.7.1+6544+2041

=== Makefile ===
# @package      hubzero-rappture-deb7
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2016 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2016 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

VERSION:=tag-1.7.1-6544-2041
APPSSHAREDIR:=$(DESTDIR)/apps/share
PWD:=$(shell pwd)

all:
	@true

DISTRIBUTION := $(shell lsb_release -is)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

install:
	install -d $(APPSSHAREDIR)/rappture/$(VERSION)
	tar -C $(APPSSHAREDIR)/rappture -zxvpf rappture-$(VERSION).tar.gz
	(cd $(APPSSHAREDIR)/rappture; ln -fs $(VERSION) current)
	(cd $(APPSSHAREDIR)/rappture; ln -fs current/bin bin)
	(cd $(APPSSHAREDIR)/rappture; ln -fs current/examples examples)
	(cd $(APPSSHAREDIR)/rappture; ln -fs current/include include)
	(cd $(APPSSHAREDIR)/rappture; ln -fs current/lib lib)
	(cd $(APPSSHAREDIR)/rappture; ln -fs current/share share)
	install --mode 0644 -D $(APPSSHAREDIR)/rappture/$(VERSION)/bin/rappture.use $(APPSSHAREDIR)/environ.d/rappture
	find $(APPSSHAREDIR)/rappture/$(VERSION) -type f -exec chmod u+rw,g+r,o+r  {} \;
	find $(APPSSHAREDIR)/rappture/$(VERSION) -type d -exec chmod 0755 {} \;
	find $(APPSSHAREDIR)/rappture/$(VERSION) -type f -name "*.h" -exec chmod a-x {} \;
	find $(APPSSHAREDIR)/rappture/$(VERSION) -type f -name "*.a" -exec chmod a-x {} \;
	find $(APPSSHAREDIR)/rappture/$(VERSION) -type f -name "*.so" -exec chmod a-x {} \;
	find $(APPSSHAREDIR)/rappture/$(VERSION) -type f -executable -exec file -i '{}' \; | grep -P '(x-executable|x-sharedlib); charset=binary' | cut -d':' -f1 | xargs -L 1 strip -p
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/bin/ccmake 
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/bin/cmake 
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/bin/ctest
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/bin/cpack
	rm -r $(APPSSHAREDIR)/rappture/$(VERSION)/doc/cmake-2.8
	rm -r $(APPSSHAREDIR)/rappture/$(VERSION)/share/cmake-2.8
	rm -r $(APPSSHAREDIR)/rappture/$(VERSION)/lib/cmake
	rm -r $(APPSSHAREDIR)/rappture/$(VERSION)/lib/R
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/man/man1/cmake.1
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/man/man1/cmakecommands.1
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/man/man1/cmakeprops.1
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/man/man1/cmakepolicies.1
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/man/man1/cmakemodules.1
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/man/man1/ccmake.1
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/man/man1/cmakecompat.1
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/man/man1/cmakevars.1
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/man/man1/cpack.1
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/man/man1/ctest.1
	rm $(APPSSHAREDIR)/rappture/$(VERSION)/share/aclocal/cmake.m4
	find $(APPSSHAREDIR)/rappture/$(VERSION) -depth -type d -name ".svn" -exec rm -r {} \;
	find $(APPSSHAREDIR)/rappture/$(VERSION) -type f -name "*.pyc" -exec rm -r {} \;
	find $(APPSSHAREDIR)/rappture/$(VERSION)/examples -name Makefile -exec sed -i 's/\/share64\/debian7/\/share/g' {} \;
	find $(APPSSHAREDIR)/rappture/$(VERSION) -name "*Config.sh" -exec sed -i 's/\/share64\/debian7/\/share/g' {} \;
	sed -i 's/\/share64\/debian7/\/share/g' $(APPSSHAREDIR)/rappture/$(VERSION)/lib/perl/perllocal.pod
	sed -i 's/\/share64\/debian7/\/share/g' $(APPSSHAREDIR)/rappture/$(VERSION)/lib/blt2.4/pkgIndex.tcl
	sed -i 's/\/share64\/debian7/\/share/g' $(APPSSHAREDIR)/rappture/$(VERSION)/bin/puq.sh
	sed -i 's/\/share64\/debian7/\/share/g' $(APPSSHAREDIR)/rappture/$(VERSION)/bin/rappture.use
	sed -i 's/\/share64\/debian7/\/share/g' $(APPSSHAREDIR)/rappture/$(VERSION)/bin/rappture-csh.env
	sed -i 's/\/share64\/debian7/\/share/g' $(APPSSHAREDIR)/rappture/$(VERSION)/bin/rappture.env
	sed -i 's/\/share64\/debian7/\/share/g' $(APPSSHAREDIR)/environ.d/rappture
	find $(APPSSHAREDIR)/rappture/$(VERSION) -name "*Config.sh" -exec sed -i  's/\/home\/nanohub\/apps\//\/apps\/share\/rappture\//g' {} \;
	find $(APPSSHAREDIR)/rappture/$(VERSION)/man/mann -name "*.n" -exec sed -i  's/\/home\/nanohub\/apps\//\/apps\/share\/rappture\//g' {} \;
	find $(APPSSHAREDIR)/rappture/$(VERSION)/include/vtk-6.0 -name "*.h" -exec sed -i  's/\/home\/nanohub\/apps\//\/apps\/share\/rappture\//g' {} \;

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-rappture-deb7 1.7.1+6544+2041-2+deb7

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-rappture-deb7
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2016 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2016 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

=== examples/c-example/Makefile ===

bindir          = ${exec_prefix}/bin
datadir		= ${datarootdir}
datarootdir	= ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir		= ../../../rappture/examples/c-example

INSTALL		= /usr/bin/install -c
MKDIR_P		= /bin/mkdir -p

CC              = gcc
CFLAGS		= -g -O2
CXX             = g++
CXXFLAGS	= -g -O2
DEFINES		= -g -Wall
INCLUDES	= -I$(srcdir)/../../src/core \
		  -I$(includedir)
LIBS		= \
		-L../../src/core -lrappture \
		-L$(libdir) -lexpat -lz -lm
VPATH		= $(srcdir)

CXX_SWITCHES	= $(CXXFLAGS) $(INCLUDES) $(DEFINES)	
CC_SWITCHES	= $(CFLAGS) $(INCLUDES) $(DEFINES)	

FILES		= \
		$(srcdir)/README \
		$(srcdir)/compress.c \
		$(srcdir)/compress.cc \
		$(srcdir)/output.dx \
		$(srcdir)/plot.cc \
		$(srcdir)/plotc.c \
		$(srcdir)/tool.xml \
		$(srcdir)/tool2.xml \
		Makefile 

destdir		= $(prefix)/examples/c-example


PROGS		= \
		compress \
		compressc \
		plot \
		plotc \

.PHONY: all install clean distclean

all: $(PROGS)

compress: $(srcdir)/compress.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)
compressc: $(srcdir)/compress.c
	$(CC) $(CC_SWITCHES) -o $@ $< $(LIBS)
plot: $(srcdir)/plot.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)
plotc: $(srcdir)/plotc.c
	$(CC) $(CC_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS) run*.xml

distclean: clean
	$(RM) Makefile *~

=== examples/objects/histogram/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir          = ../../../../rappture/examples/objects/histogram

INSTALL         = /usr/bin/install -c
MKDIR_P         = /bin/mkdir -p

CC              = gcc
CFLAGS          = -g -O2
CXX             = g++
CXXFLAGS        = -g -O2
DEFINES         = -g -Wall
INCLUDES        = -I../../../src/core \
                  -I../../../src/objects \
                  -I$(srcdir)/../../../src/core \
                  -I$(srcdir)/../../../src/objects \
                  -I$(includedir)
LIBS    = \
		-L../../../src/core -lrappture \
		-L../../../src/objects -lRpObjects\
		-L$(libdir) -lexpat -lz -lm
VPATH   = $(srcdir)

CXX_SWITCHES    = $(CXXFLAGS) $(INCLUDES) $(DEFINES)
CC_SWITCHES     = $(CFLAGS) $(INCLUDES) $(DEFINES)

FILES   = \
		$(srcdir)/histogram.cc \
		Makefile

destdir = $(prefix)/examples/objects/histogram


PROGS   = \
		histogram

.PHONY: all install clean distclean

all: $(PROGS)

histogram: $(srcdir)/histogram.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS)

distclean: clean
	$(RM) Makefile *~

=== examples/objects/number/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir          = ../../../../rappture/examples/objects/number

INSTALL         = /usr/bin/install -c
MKDIR_P         = /bin/mkdir -p

CC              = gcc
CFLAGS          = -g -O2
CXX             = g++
CXXFLAGS        = -g -O2
DEFINES         = -g -Wall
INCLUDES        = -I../../../src/core \
                  -I../../../src/objects \
                  -I$(srcdir)/../../../src/core \
                  -I$(srcdir)/../../../src/objects \
                  -I$(includedir)
LIBS    = \
		-L../../../src/core -lrappture \
		-L../../../src/objects -lRpObjects\
		-L$(libdir) -lexpat -lz -lm
VPATH   = $(srcdir)

CXX_SWITCHES    = $(CXXFLAGS) $(INCLUDES) $(DEFINES)
CC_SWITCHES     = $(CFLAGS) $(INCLUDES) $(DEFINES)

FILES   = \
		$(srcdir)/number.cc \
		Makefile

destdir = $(prefix)/examples/objects/number


PROGS   = \
		number

.PHONY: all install clean distclean

all: $(PROGS)

number: $(srcdir)/number.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS)

distclean: clean
	$(RM) Makefile *~

=== examples/objects/string/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir          = ../../../../rappture/examples/objects/string

INSTALL         = /usr/bin/install -c
MKDIR_P         = /bin/mkdir -p

CC              = gcc
CFLAGS          = -g -O2
CXX             = g++
CXXFLAGS        = -g -O2
DEFINES         = -g -Wall
INCLUDES        = -I../../../src/core \
                  -I../../../src/objects \
                  -I$(srcdir)/../../../src/core \
                  -I$(srcdir)/../../../src/objects \
                  -I$(includedir)
LIBS    = \
		-L../../../src/core -lrappture \
		-L../../../src/objects -lRpObjects\
		-L$(libdir) -lexpat -lz -lm
VPATH   = $(srcdir)

CXX_SWITCHES    = $(CXXFLAGS) $(INCLUDES) $(DEFINES)
CC_SWITCHES     = $(CFLAGS) $(INCLUDES) $(DEFINES)

FILES   = \
		$(srcdir)/string.cc \
		Makefile

destdir = $(prefix)/examples/objects/string


PROGS   = \
		string

.PHONY: all install clean distclean

all: $(PROGS)

string: $(srcdir)/string.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS)

distclean: clean
	$(RM) Makefile *~

=== examples/objects/xmlparser/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir          = ../../../../rappture/examples/objects/xmlparser

INSTALL         = /usr/bin/install -c
MKDIR_P         = /bin/mkdir -p

CC              = gcc
CFLAGS          = -g -O2
CXX             = g++
CXXFLAGS        = -g -O2
DEFINES         = -g -Wall
INCLUDES        = -I../../../src/core \
                  -I../../../src/objects \
                  -I$(srcdir)/../../../src/core \
                  -I$(srcdir)/../../../src/objects \
                  -I$(includedir)
LIBS    = \
		-L../../../src/core -lrappture \
		-L../../../src/objects -lRpObjects\
		-L$(libdir) -lexpat -lz -lm
VPATH   = $(srcdir)

CXX_SWITCHES    = $(CXXFLAGS) $(INCLUDES) $(DEFINES)
CC_SWITCHES     = $(CFLAGS) $(INCLUDES) $(DEFINES)

FILES   = \
		$(srcdir)/xmlparser.cc \
		$(srcdir)/xmlparser_1_0_in.xml \
		$(srcdir)/xmlparser_1_1_in.xml \
		$(srcdir)/xmlparser_1_0_out.xml \
		$(srcdir)/xmlparser_1_1_out.xml \
		$(srcdir)/xmlparser_2_0_in.xml \
		$(srcdir)/xmlparser_5_0_in.xml \
		$(srcdir)/tool.xml \
		Makefile

destdir = $(prefix)/examples/objects/xmlparser


PROGS   = \
		xmlparser

.PHONY: all install clean distclean

all: $(PROGS)

xmlparser: $(srcdir)/xmlparser.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS)

distclean: clean
	$(RM) Makefile *~

=== debian/changelog ===
hubzero-rappture-deb7 (1.7.1+6544+2041-2+deb7) stable; urgency=low

  * Packaging updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 13 Jun 2018 13:39:26 -0400

hubzero-rappture-deb7 (1.7.1+6544+2041-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 01 Nov 2016 14:48:17 -0400

=== debian/control ===
Source: hubzero-rappture-deb7
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://rappture.org

Package: hubzero-rappture-deb7
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero rapid application infrastructure (rappture)
 Rappture is a toolkit supporting Rapid application infrastructure, making 
 it quick and easy to develop powerful scientific applications. Your 
 underlying simulator can be written in C/C++, Fortran, MATLAB/Octave, 
 R, Java, Perl, Python, or Tcl. Once you describe the input/output for 
 your simulator, Rappture handles the rest, generating a graphical 
 interface automatically based on your description. The resulting 
 application is easy to deploy on the  HUBzero platform, so a large 
 community of users can access the application through a web browser.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-rappture-deb7
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2016 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2016 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-rappture-deb7 install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	#dh_shlibdeps -a -Xvtk
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-rappture-deb7 1.7.1+6544+2041-2+deb8

=== debian/changelog ===
hubzero-rappture-deb7 (1.7.1+6544+2041-2+deb8) stable; urgency=low

  * Packaging updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 13 Jun 2018 13:39:26 -0400

## hubzero-rappture-deb7 1.7.1+6544+2041-3+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-rappture-deb7
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -22,7 +21,7 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 VERSION:=tag-1.7.1-6544-2041

=== examples/app-fermi/fortran/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir		= ../../../../rappture/examples/app-fermi/fortran

destdir		= $(prefix)/examples/app-fermi/fortran

INSTALL         = /usr/bin/install -c
MKDIR_P		= /bin/mkdir -p

FC              = gfortran
FCFLAGS		= -g -O2 
FCDEBUGFLAGS	= -Wall -g
VPATH		= $(srcdir)

INCLUDES    	= -I$(srcdir)/../../../src/core
LIBS		= -L../../../src/core -lrappture \
		  -L$(libdir) -lexpat -lz -lm

FC_SWITCHES 	= $(FCFLAGS) $(FCDEBUGFLAGS) $(DEFINES) $(INCLUDES)

FILES		= \
		Makefile \
		$(srcdir)/fermi.f \
		$(srcdir)/tool.xml 

all: fermi

fermi: $(srcdir)/fermi.f
	$(FC) $(FC_SWITCHES) $< -o $@ $(LIBS)

install: fermi
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444 $$i $(destdir) ; \
	done
	$(INSTALL) -m 0555 fermi $(destdir)


clean:
	$(RM) fermi run*.xml

distclean: clean
	$(RM) Makefile

=== examples/objects/axis/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir          = ../../../../rappture/examples/objects/axis

INSTALL         = /usr/bin/install -c
MKDIR_P         = /bin/mkdir -p

CC              = gcc
CFLAGS          = -g -O2
CXX             = g++
CXXFLAGS        = -g -O2
DEFINES         = -g -Wall
INCLUDES        = -I../../../src/core \
                  -I../../../src/objects \
                  -I$(srcdir)/../../../src/core \
                  -I$(srcdir)/../../../src/objects \
                  -I$(includedir)
LIBS    = \
		-L../../../src/core -lrappture \
		-L../../../src/objects -lRpObjects\
		-L$(libdir) -lexpat -lz -lm
VPATH   = $(srcdir)

CXX_SWITCHES    = $(CXXFLAGS) $(INCLUDES) $(DEFINES)
CC_SWITCHES     = $(CFLAGS) $(INCLUDES) $(DEFINES)

FILES   = \
		$(srcdir)/axis.cc \
		Makefile

destdir = $(prefix)/examples/objects/axis


PROGS   = \
		axis

.PHONY: all install clean distclean

all: $(PROGS)

axis: $(srcdir)/axis.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS)

distclean: clean
	$(RM) Makefile *~

=== examples/objects/curve/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir          = ../../../../rappture/examples/objects/curve

INSTALL         = /usr/bin/install -c
MKDIR_P         = /bin/mkdir -p

CC              = gcc
CFLAGS          = -g -O2
CXX             = g++
CXXFLAGS        = -g -O2
DEFINES         = -g -Wall
INCLUDES        = -I../../../src/core \
                  -I../../../src/objects \
                  -I$(srcdir)/../../../src/core \
                  -I$(srcdir)/../../../src/objects \
                  -I$(includedir)
LIBS    = \
		-L../../../src/core -lrappture \
		-L../../../src/objects -lRpObjects\
		-L$(libdir) -lexpat -lz -lm
VPATH   = $(srcdir)

CXX_SWITCHES    = $(CXXFLAGS) $(INCLUDES) $(DEFINES)
CC_SWITCHES     = $(CFLAGS) $(INCLUDES) $(DEFINES)

FILES   = \
		$(srcdir)/curve.cc \
		Makefile

destdir = $(prefix)/examples/objects/curve


PROGS   = \
		curve

.PHONY: all install clean distclean

all: $(PROGS)

curve: $(srcdir)/curve.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS)

distclean: clean
	$(RM) Makefile *~

=== examples/objects/floatBuffer/Makefile ===

bindir          = ${exec_prefix}/bin
datadir		= ${datarootdir}
datarootdir	= ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir		= ../../../../rappture/examples/objects/floatBuffer

INSTALL		= /usr/bin/install -c
MKDIR_P		= /bin/mkdir -p

CC              = gcc
CFLAGS		= -g -O2
CXX             = g++
CXXFLAGS	= -g -O2
DEFINES		= -g -Wall
INCLUDES	= -I$(srcdir)/../../../src/core \
		  -I$(includedir)
LIBS		= \
		-L../../../src/core -lrappture \
		-L$(libdir) -lexpat -lz -lm
VPATH		= $(srcdir)

CXX_SWITCHES	= $(CXXFLAGS) $(INCLUDES) $(DEFINES)	
CC_SWITCHES	= $(CFLAGS) $(INCLUDES) $(DEFINES)	

FILES		= \
		$(srcdir)/floatBuffer.cc \
		Makefile 

destdir		= $(prefix)/examples/objects/floatBuffer

PROGS		= \
		floatbuffer \

.PHONY: all install clean distclean

all: $(PROGS)


floatbuffer: $(srcdir)/floatBuffer.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS) 

distclean: clean
	$(RM) Makefile *~

=== examples/objects/library/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir          = ../../../../rappture/examples/objects/library

INSTALL         = /usr/bin/install -c
MKDIR_P         = /bin/mkdir -p

CC              = gcc
CFLAGS          = -g -O2
CXX             = g++
CXXFLAGS        = -g -O2
DEFINES         = -g -Wall
#INCLUDES        = -I../../../src/core \
#                  -I../../../src/objects \
#                  -I$(srcdir)/../../../src/core \
#                  -I$(srcdir)/../../../src/objects \
#                  -I$(includedir)
INCLUDES        = -I../../../src/objects \
                  -I../../../src/core \
                  -I$(srcdir)/../../../src/objects \
                  -I$(srcdir)/../../../src/core \
                  -I$(includedir)
LIBS    = \
		-L../../../src/core -lrappture \
		-L../../../src/objects -lRpObjects\
		-L$(libdir) -lexpat -lz -lm
VPATH   = $(srcdir)

CXX_SWITCHES    = $(CXXFLAGS) $(INCLUDES) $(DEFINES)
CC_SWITCHES     = $(CFLAGS) $(INCLUDES) $(DEFINES)

FILES   = \
		$(srcdir)/library.cc \
		$(srcdir)/library_0_0_in.xml \
		Makefile

destdir = $(prefix)/examples/objects/library


PROGS   = \
		library

.PHONY: all install clean distclean

all: $(PROGS)

library: $(srcdir)/library.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS)

distclean: clean
	$(RM) Makefile *~

=== examples/objects/path/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir          = ../../../../rappture/examples/objects/path

INSTALL         = /usr/bin/install -c
MKDIR_P         = /bin/mkdir -p

CC              = gcc
CFLAGS          = -g -O2
CXX             = g++
CXXFLAGS        = -g -O2
DEFINES         = -g -Wall
INCLUDES        = -I../../../src/core \
                  -I../../../src/objects \
                  -I$(srcdir)/../../../src/core \
                  -I$(srcdir)/../../../src/objects \
                  -I$(includedir)
LIBS    = \
		-L../../../src/core -lrappture \
		-L../../../src/objects -lRpObjects\
		-L$(libdir) -lexpat -lz -lm
VPATH   = $(srcdir)

CXX_SWITCHES    = $(CXXFLAGS) $(INCLUDES) $(DEFINES)
CC_SWITCHES     = $(CFLAGS) $(INCLUDES) $(DEFINES)

FILES   = \
		$(srcdir)/path.cc \
		Makefile

destdir = $(prefix)/examples/objects/path


PROGS   = \
		path

.PHONY: all install clean distclean

all: $(PROGS)

path: $(srcdir)/path.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS)

distclean: clean
	$(RM) Makefile *~

=== examples/objects/plot/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir          = ../../../../rappture/examples/objects/plot

INSTALL         = /usr/bin/install -c
MKDIR_P         = /bin/mkdir -p

CC              = gcc
CFLAGS          = -g -O2
CXX             = g++
CXXFLAGS        = -g -O2
DEFINES         = -g -Wall
INCLUDES        = -I../../../src/core \
                  -I../../../src/objects \
                  -I$(srcdir)/../../../src/core \
                  -I$(srcdir)/../../../src/objects \
                  -I$(includedir)
LIBS    = \
		-L../../../src/core -lrappture \
		-L../../../src/objects -lRpObjects\
		-L$(libdir) -lexpat -lz -lm
VPATH   = $(srcdir)

CXX_SWITCHES    = $(CXXFLAGS) $(INCLUDES) $(DEFINES)
CC_SWITCHES     = $(CFLAGS) $(INCLUDES) $(DEFINES)

FILES   = \
		$(srcdir)/plot.cc \
		Makefile

destdir = $(prefix)/examples/objects/plot


PROGS   = \
		plot

.PHONY: all install clean distclean

all: $(PROGS)

plot: $(srcdir)/plot.cc
	$(CXX) $(CXX_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS)

distclean: clean
	$(RM) Makefile *~

=== examples/objects/tree/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir          = ../../../../rappture/examples/objects/tree

INSTALL         = /usr/bin/install -c
MKDIR_P         = /bin/mkdir -p

CC              = gcc
CFLAGS          = -g -O2
CXX             = g++
CXXFLAGS        = -g -O2
DEFINES         = -g -Wall
INCLUDES        = -I../../../src/core \
                  -I../../../src/objects \
                  -I$(srcdir)/../../../src/core \
                  -I$(srcdir)/../../../src/objects \
                  -I$(includedir)
LIBS    = \
		-L../../../src/core -lrappture \
		-L../../../src/objects -lRpObjects\
		-L$(libdir) -lexpat -lz -lm
VPATH   = $(srcdir)

CXX_SWITCHES    = $(CXXFLAGS) $(INCLUDES) $(DEFINES)
CC_SWITCHES     = $(CFLAGS) $(INCLUDES) $(DEFINES)

FILES   = \
		$(srcdir)/tree.c \
		Makefile

destdir = $(prefix)/examples/objects/tree


PROGS   = \
		tree

.PHONY: all install clean distclean

all: $(PROGS)

tree: $(srcdir)/tree.c
	$(CC) $(CC_SWITCHES) -o $@ $< $(LIBS)

install: all
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444  $$i $(destdir) ; \
	done
	for i in $(PROGS) ; do \
	  $(INSTALL) -m 0555 $$i $(destdir) ; \
	done

clean:
	$(RM) $(PROGS)

distclean: clean
	$(RM) Makefile *~

=== lib/R/Rappture/DESCRIPTION ===
Package: Rappture
Type: Package
Title: Rappture bindings for R
Version: 1.0
Date: 2011-11-09
Author: Derrick Kearney
Maintainer: <rappture@nanohub.org>
Description: Rappture toolkit
License: see http://rappture.org/wiki/LicenseTerms
Built: R 2.15.3; x86_64-unknown-linux-gnu; 2016-09-14 17:47:50 UTC; unix

=== examples/app-fermi/wrapper/cee/Makefile ===

bindir          = ${exec_prefix}/bin
datadir         = ${datarootdir}
datarootdir     = ${prefix}/share
exec_prefix     = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
includedir      = ${prefix}/include
libdir          = ${exec_prefix}/lib
mandir          = ${datarootdir}/man
prefix          = /apps/share64/debian7/rappture/tag-1.7.1-6544-2041
srcdir		= ../../../../../rappture/examples/app-fermi/wrapper/cee

destdir		= $(prefix)/examples/app-fermi/wrapper/cee

INSTALL         = /usr/bin/install -c
MKDIR_P		= /bin/mkdir -p

CC              = gcc
CFLAGS		= -g -O2
CDEBUGFLAGS	= -g -Wall
VPATH		= $(srcdir)

INCLUDES    	= -I$(srcdir)/../../../../src/core
LIBS		= -L../../../../src/core -lrappture \
		  -L$(libdir) -lexpat -lz -lm

CC_SWITCHES 	= $(CFLAGS) $(CDEBUGFLAGS) $(DEFINES) $(INCLUDES)

FILES		= \
		Makefile \
		$(srcdir)/fermi.m \
		$(srcdir)/fermi.c \
		$(srcdir)/tool.xml 

all: fermi

fermi: fermi.c
	$(CC) $(CC_SWITCHES) $< -o $@ $(LIBS)

install: fermi
	$(MKDIR_P) -m 0755 $(destdir)
	for i in $(FILES) ; do \
	  $(INSTALL) -m 0444 $$i $(destdir) ; \
	done
	$(INSTALL) -m 0555 fermi $(destdir)

clean:
	$(RM) fermi run*.xml

distclean: clean
	$(RM) Makefile

=== debian/changelog ===
hubzero-rappture-deb7 (1.7.1+6544+2041-3+deb9) stable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years
  * Packaging updates
  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 10:43:51 -0700

hubzero-rappture-deb7 (1.7.1+6544+2041-2) stable; urgency=low

  * Packaging updates

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 13 Jun 2018 13:39:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-rappture-deb7
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 Homepage: http://rappture.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-rappture-deb7
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2016 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2016 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -24,7 +23,7 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
